import java.util.*;

public class Akvarium {

	private int pocetPokusov;

	private int kapacita;

	private String nazovExperimentu;

	private List<Rybicka> zoznamRybiciek = new ArrayList<Rybicka>();

	public String getNazovExperimentu() {
		return nazovExperimentu;
	}

	public void setNazovExperimentu(String nazovExperimentu) {
		this.nazovExperimentu = nazovExperimentu;
	}

	public int getKapacita() {
		return kapacita;
	}

	public void setKapacita(int kapacita) {
		this.kapacita = kapacita;
	}

	public int getPocetPokusov() {
		return pocetPokusov;
	}

	public void setPocetPokusov(int pocetPokusov) {
		this.pocetPokusov = pocetPokusov;
	}

	public void skontrolujStav() {

		if (zoznamRybiciek.size() > kapacita) {
			int opakovanie = 3 * zoznamRybiciek.size() / 4;
			for (int i = 0; i < opakovanie; i++)
				zoznamRybiciek.remove(0);
			System.out.println("Prekrocila sa kapacita, 3/4 vymrela: "
					+ zoznamRybiciek.size());
		} else if (zoznamRybiciek.size() < 2) {
			zoznamRybiciek.removeAll(zoznamRybiciek);
		}
	}

	public String toString() {

		return "V tomto akvariu sa nachadza: " + zoznamRybiciek.size() + " z "
				+ kapacita + "a bolo na nich vykonanych " + pocetPokusov
				+ " pokusov.";
	}

	public void vykonajExperiment() {

		int i = (int) (Math.random() * 3);
		System.out.println("Prave sa vykonava: " + getPocetPokusov()
				+ ". pokus experimentu: " + getNazovExperimentu());
		if (zoznamRybiciek.size() == 0) {
			System.out.println("Akvarium je mrtve");
			return;
		}
		switch (i) {
		case 0: {

			int opakovanie = zoznamRybiciek.size();
			int mama;
			int otec;
			for (int j = 0; j < opakovanie; j++) {

				mama = (int) Math.random() * zoznamRybiciek.size();

				do {
					otec = (int) Math.random() * zoznamRybiciek.size();
				} while (mama == otec);

				Rybicka rybka1 = zoznamRybiciek.get(mama);
				Rybicka rybka2 = zoznamRybiciek.get(otec);

				zoznamRybiciek.add(new Rybicka(rybka1, rybka2));
			}
			System.out.println("Pocet rybiciek sa zdvojnasobil:"
					+ this.zoznamRybiciek.size());
		}
			break;
		case 1: {
			int opakovanie = zoznamRybiciek.size() / 2;
			for (int j = 0; j < opakovanie; j++)
				zoznamRybiciek.remove(0);
			System.out.println("Pocet rybiciek sa zmensil:"
					+ this.zoznamRybiciek.size());
		}
			break;
		case 2:
			System.out.println("Bez zmeny: " + this.zoznamRybiciek.size());
			break;
		default:
			break;
		}
		this.setPocetPokusov(pocetPokusov + 1);
		skontrolujStav();
	}

	public void pridaj(Rybicka rybicka) {
		zoznamRybiciek.add(rybicka);
	}
}
