public class Rybicka {

	private String druh;

	private double velkost;

	private String meno;

	private double hmotnost;

	private Rybicka matka;

	private Rybicka otec;	

	public Rybicka() {
		// prazdny konstruktor
	}

	public Rybicka(String druh) {

		this.druh = druh;
		this.velkost = (Math.random() * 50) + 1;
		this.meno = druh + ((int) (Math.random() * 10));
		this.hmotnost = (Math.random() * 150) + 1;

	}

	public Rybicka(Rybicka matka, Rybicka otec) {
		this(matka.getDruh() + "/" + otec.getDruh());
		this.matka = matka;
		this.otec = otec;

	}

	public void nakrmSa() {
		double prirastokHmotnosti = Math.random() * (hmotnost / 2);
		this.hmotnost = hmotnost + prirastokHmotnosti;
		double prirastokVahy = Math.random() * (velkost / 4);
		this.velkost = velkost + prirastokVahy;
	}

	public void setDruh(String druh) {
		this.druh = druh;
	}
	
	public String getDruh() {
		return druh;
	}

	public double getHmotnost() {
		return hmotnost;
	}

	public void setHmotnost(int hmotnost) {
		this.hmotnost = hmotnost;
	}

	public String getMeno() {
		return meno;
	}

	public void setMeno(String meno) {
		this.meno = meno;
	}

	public double getVelkost() {
		return velkost;
	}

	public void setVelkost(int velkost) {
		this.velkost = velkost;
	}	

	public Rybicka getMatka() {
		return matka;
	}
	
	public void setMatka(Rybicka matka) {
		this.matka = matka;
	}

	public Rybicka getOtec() {
		return otec;
	}

	public void setOtec(Rybicka otec) {
		this.otec = otec;
	}

	public String toString() {
		return ("Rybicka " + meno + " ma hmotnost " + hmotnost + " a dlzku " + velkost);
	}


}
